Page MenuHomePhabricator

Add stats marker to wikidata entity search
Closed, ResolvedPublic

Description

Most ES queries carry stats markers - usually dependent on syntax, etc., such as full_text. We should add such marker to wikidata entity search requests too, for better stats collecting.

Related Objects

StatusAssignedTask
ResolvedWikidata-bugs
OpenNone
Resolvedaude
ResolvedSmalyshev
Resolvedaude
ResolvedNone
InvalidNone
ResolvedSmalyshev
ResolvedLydia_Pintscher
DuplicateSmalyshev
DuplicateNone
DeclinedNone
DeclinedNone
Resolveddaniel
ResolvedLydia_Pintscher
OpenNone
DeclinedNone
ResolvedSmalyshev
ResolvedSmalyshev
DeclinedNone
ResolvedSmalyshev
Resolveddcausse
Resolveddcausse
Resolveddebt
ResolvedSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev
Resolveddcausse

Event Timeline

Smalyshev created this task.Aug 3 2017, 6:32 PM
Restricted Application added subscribers: PokestarFan, Aklapper. · View Herald TranscriptAug 3 2017, 6:32 PM
Smalyshev moved this task from Backlog to Next on the User-Smalyshev board.Aug 4 2017, 9:47 PM
Smalyshev moved this task from Next to Doing on the User-Smalyshev board.Aug 8 2017, 11:54 PM

Change 370763 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/Wikibase@master] Add stats parameter for search query, for ES tracking

https://gerrit.wikimedia.org/r/370763

Change 370763 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add stats parameter for search query, for ES tracking

https://gerrit.wikimedia.org/r/370763

debt closed this task as Resolved.Aug 14 2017, 6:50 PM
debt claimed this task.